pandoc-3.7.0.2: Conversion between markup formats

Copyright | Copyright (C) 2017-2020 Alexander Krotov
License | GNU GPL, version 2 or above
Maintainer | Alexander Krotov <ilabdsf@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Writers.Muse

Description

Conversion of `Pandoc` documents to Muse.

This module is mostly intended for Amusewiki markup support, as described by Text::Amuse markup manual. Original Emacs Muse markup support is a secondary goal.

Where Text::Amuse markup differs from Emacs Muse markup, Text::Amuse markup is supported. For example, native tables are always used instead of Org Mode tables. However, `<literal style="html">` tag is used for HTML raw blocks even though it is supported only in Emacs Muse.

Synopsis

- writeMuse :: PandocMonad m => WriterOptions -> Pandoc -> m Text

# Documentation

writeMuse :: PandocMonad m => WriterOptions -> Pandoc -> m Text #

Convert Pandoc to Muse.